Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::PixbufLoaderSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gdk::PixbufLoader. More...

`#include <xfc/gdk-pibuf/pixbuf-loadersignals.hh>`

Inheritance diagram for Xfc::Gdk::PixbufLoaderSignals:

List of all members.

## Public Member Functions

Signal Handlers

- void on_size_prepared (int width, int height)
    Called when the pixbuf loader has been fed the initial amount of data that is required to figure out the size of the image that it will create.
- void on_area_prepared ()
    Called when the pixbuf loader has allocated the pixbuf in the desired size.
- void on_area_updated (int x, int y, int width, int height)
    Called when a significant area of the image being loaded has been updated.
- void on_closed ()
    Called when close() is called.

## Protected Member Functions

Constructors

- PixbufLoaderSignals (PixbufLoader *pixbuf_loader)
    Constructs a new PixbufLoaderSignals object.
- virtual ~PixbufLoaderSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gdk::PixbufLoader.

## Constructor & Destructor Documentation

Xfc::Gdk::PixbufLoaderSignals::PixbufLoaderSignals | ( | PixbufLoader * | pixbuf_loader | ) | `[protected]`

Constructs a new PixbufLoaderSignals object.

Parameters:

  | pixbuf_loader | A PixbufLoader object inheriting the PixbufLoaderSignals implementation.

## Member Function Documentation

void Xfc::Gdk::PixbufLoaderSignals::on_area_prepared | ( |  | ) |

| Called when the pixbuf loader has allocated the pixbuf in the desired size. After this signal is emitted, applications can call get_pixbuf() to fetch the partially-loaded pixbuf.

void Xfc::Gdk::PixbufLoaderSignals::on_area_updated | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

Called when a significant area of the image being loaded has been updated.

Parameters:

  | x | The X coordinate of the updated area.
  | y | The Y coordinate of the updated area.
  | width | The width of the updated area.
  | height | The height of the updated area.

Normally it means that one or more complete scanlines has been read in, but it could be a different area as well. Applications can use this signal to know when to repaint areas of an image that is being loaded. Usually the x coordinate and the width will remain the same. The y coordinate changes each time one or more scanlines are read in. The height is the number of scanlines, in pixels.

void Xfc::Gdk::PixbufLoaderSignals::on_closed | ( |  | ) |

| Called when close() is called. It can be used by different parts of an application to receive notification when an image loader is closed by the code that drives it.

void Xfc::Gdk::PixbufLoaderSignals::on_size_prepared | ( | int | width,
|  | int | height
| ) |

Called when the pixbuf loader has been fed the initial amount of data that is required to figure out the size of the image that it will create.

Parameters:

  | width | The width of the image the pixbuf loader will create.
  | height | The height of the image the pixbuf loader will create.

Applications can call set_size() in response to this signal to set the desired size to which the image should be scaled.

The documentation for this class was generated from the following file:

- pixbuf-loadersignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3